export declare const templates: Template[];
export interface TemplateType {
    name: string;
    color: string;
}
interface TemplateManifest {
    type: TemplateType[];
}
export declare class Template implements TemplateManifest {
    path: string;
    type: TemplateType[];
    constructor(manifest: TemplateManifest, dir: string);
    clone(name: string, dest: string): Promise<void>;
    static isTemplateType(type: TemplateType): type is TemplateType;
    static isTemplateTypeArray(arr: TemplateType[]): arr is TemplateType[];
    static isTemplateManifest(manifest: TemplateManifest): manifest is TemplateManifest;
}
export {};
