// Helpers
import * as fs from 'node:fs';
import * as path from 'node:path';
export function isEmptyDirectory(uri) {
    if (fs.existsSync(uri)) {
        const files = fs.readdirSync(uri);
        return files.length === 0;
    }
    return true;
}
export function ensureDirSync(uri) {
    fs.mkdirSync(uri, {
        recursive: true
    });
}
export function readGlobSync(uri) {
    const items = [];
    const exists = fs.existsSync(uri);
    if (exists) {
        if (fs.statSync(uri).isDirectory()) {
            fs.readdirSync(uri).forEach((child) => {
                items.push(...readGlobSync(path.join(uri, child)));
            });
        }
        else {
            items.push(uri);
        }
    }
    return items;
}
export * from 'node:fs';
